import 'dart:html';

final localStorage = window.localStorage;

Future<void> setTheme([String theme]) async {
  final currentTheme = theme ?? localStorage['theme'] ??
  () {
    final devicePrefersDark =
    window.matchMedia('(prefers-color-scheme: dark)').matches;
    return devicePrefersDark ? 'dark' : 'light';
  }();
  localStorage['theme'] = currentTheme;
  querySelector('body')
    ..classes.clear()
    ..classes.add(currentTheme);
}

void enableThemeChanger() {
  final themes = <String>['light', 'dark', 'black'];
  themes.forEach((theme) =>
    querySelector('#${theme}Btn').onClick.listen((_) => setTheme(theme))
  );
}
